Subject: [dhcwg] [Editorial Errata Reported] RFC2131 (3638)

From: RFC Errata System <[email-masked]>
Date: Wed, 5 Jun 2013 05:00:34 -0700 (PDT)

The following errata report has been submitted for RFC2131,
"Dynamic Host Configuration Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=2131&eid=3638

--------------------------------------
Type: Editorial
Reported by: Carlos Prendes <[email-masked]>

Section: Errata 490

Original Text
-------------
Section 4.1 says:

Normally, DHCP servers and BOOTP relay agents attempt to deliver DHCPOFFER,
DHCPACK and DHCPNAK messages directly to the client using uicast delivery.

It should say:

Normally, DHCP servers and BOOTP relay agents attempt to deliver DHCPOFFER,
DHCPACK and DHCPNAK messages directly to the client using uicast delivery.

Notes:

typo (uicast -> unicast) 

Corrected Text
--------------
Section 4.1 says:

Normally, DHCP servers and BOOTP relay agents attempt to deliver DHCPOFFER,
DHCPACK and DHCPNAK messages directly to the client using uicast delivery.

It should say:

Normally, DHCP servers and BOOTP relay agents attempt to deliver DHCPOFFER,
DHCPACK and DHCPNAK messages directly to the client using unicast delivery.

Notes:

typo (uicast -> unicast) 

Notes
-----
The errata is not corrected in the errata correction.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC2131 (no draft string recorded)
--------------------------------------
Title               : Dynamic Host Configuration Protocol
Publication Date    : March 1997
Author(s)           : R. Droms
Category            : DRAFT STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 5 Jun 2013 12:20:38 +0000

Yes, the one place were uicast is used it should be unicast. The errata looks like it is badly formed as first attempt at old/new does not fix issue and is thus not needed. it should just be:

Section 4.1:

Original Text
-------------

Corrected Text
--------------

This one is kind of obvious and there are no plans to work on a 2131biz.

- Bernie (from iPad)